tests/testMultiIndex.py

aNetBasicAstrometry DEBUG: Setting wcs from exposure metadata
aNetBasicAstrometry DEBUG: Setting filterName = 'i' from exposure metadata
aNetBasicAstrometry DEBUG: Setting pixel scale estimate = 0.184 from given WCS estimate
aNetBasicAstrometry DEBUG: Setting RA,Dec center estimate = (215.594, 53.069) from given WCS estimate, using pixel center = (1023.5, 2305.5)
aNetBasicAstrometry DEBUG: Using parity = False
aNetBasicAstrometry INFO: Number of selected sources for astrometry : 327
aNetBasicAstrometry DEBUG: Keeping 327 of 337 sources with finite X,Y positions and PSF flux
aNetBasicAstrometry DEBUG: Feeding sources in range x=[10.1, 2035.6], y=[40.6, 4570.6] (after subtracting x0,y0 = 0.0,0.0) to Astrometry.net
aNetBasicAstrometry DEBUG: Searching for match around RA,Dec = (215.594, 53.0688) with radius 1 deg
aNetBasicAstrometry DEBUG: Searching for matches with pixel scale = 0.183766 +- 10 % -> range [0.16706, 0.202142] arcsec/pix
aNetBasicAstrometry DEBUG: Searching for match with parity = False
aNetBasicAstrometry DEBUG: Index files loaded: Memory: VmPeak: 1878220 kB, VmSize: 1878220 kB, VmRSS: 308728 kB, VmData: 398168 kB, Mmaps: 1639, Mmaps: 1878220 kB
aNetBasicAstrometry DEBUG: Solving finished: Memory: VmPeak: 1879128 kB, VmSize: 1879128 kB, VmRSS: 310016 kB, VmData: 399076 kB, Mmaps: 1639, Mmaps: 1879128 kB
aNetBasicAstrometry DEBUG: Index files unloaded: Memory: VmPeak: 1879260 kB, VmSize: 1878764 kB, VmRSS: 309896 kB, VmData: 398952 kB, Mmaps: 1626, Mmaps: 1878764 kB
aNetBasicAstrometry DEBUG: Solved!
aNetBasicAstrometry DEBUG: WCS: NAXIS = 2
// number of data axes
EQUINOX = 2000.0000000000
// Equinox of coordinates
RADESYS = "FK5"
// Coordinate system for equinox
CRPIX1 = 1140.7707286100
// WCS Coordinate reference pixel
CRPIX2 = 1139.1831378553
// WCS Coordinate reference pixel
CD1_1 = 5.1188746460527e-05
// WCS Coordinate scale matrix
CD1_2 = 1.3691915962525e-07
// WCS Coordinate scale matrix
CD2_1 = 1.3691915962525e-07
// WCS Coordinate scale matrix
CD2_2 = -5.1188746460527e-05
// WCS Coordinate scale matrix
CRVAL1 = 215.60317370228
// WCS Ref value (RA in decimal degrees)
CRVAL2 = 53.128454898498
// WCS Ref value (DEC in decimal degrees)
CUNIT1 = "deg"
CUNIT2 = "deg"
CTYPE1 = "RA---TAN"
// WCS Coordinate type
CTYPE2 = "DEC--TAN"
// WCS Coordinate type

aNetBasicAstrometry DEBUG: qa: meas_astrom*an*n_tried = 129
meas_astrom*an*n_matched = 1
meas_astrom*an*n_scaleok = 1
meas_astrom*an*n_cxdxcut = 55
meas_astrom*an*n_meanxcut = 325
meas_astrom*an*n_radeccut = 0
meas_astrom*an*n_scalecut = 0
meas_astrom*an*n_verified = 1
meas_astrom*an*time_used = 0.00074299999999994
meas_astrom*an*best_logodds = 561.74713134766
meas_astrom*an*best_index*id = -1364614477
meas_astrom*an*best_index*hp = 11
meas_astrom*an*best_index*nside = 2
meas_astrom*an*best_index*name = "/build/stack/miniconda3-4.2.12-7c8e67/EupsBuildDir/Linux64/meas_extensions_astrometryNet-master-g43362ee2f3+10/meas_extensions_astrometryNet-master-g43362ee2f3+10/tests/astrometry_net_data/photocal/mindex-photocal-test.fits"
meas_astrom*an*best_match*starinds = "4651, 3034, 4617, 4612"
meas_astrom*an*best_match*coderr = 0.0005059317
meas_astrom*an*best_match*nmatch = 180
meas_astrom*an*best_match*ndistract = 108
meas_astrom*an*best_match*nconflict = 7
meas_astrom*an*best_match*nfield = 327
meas_astrom*an*best_match*nindex = 242
meas_astrom*an*best_match*nbest = 295
meas_astrom*an*best_match*logodds = 561.7471
meas_astrom*an*best_match*parity = 1
meas_astrom*an*best_match*nobjs = 10

aNetBasicAstrometry INFO: Got astrometric solution from Astrometry.net
aNetBasicAstrometry DEBUG: New WCS says image center pixel (1023.5, 2305.5) -> RA,Dec (215.594, 53.069)
aNetBasicAstrometry DEBUG: Setting filterName = 'i' from exposure metadata
aNetBasicAstrometry.loadAN DEBUG: loadPixelBoxStartCpuTime=3.99; loadPixelBoxStartUserTime=3.530671; loadPixelBoxStartSystemTime=0.469493; loadPixelBoxStartMaxResidentSetSize=310156; loadPixelBoxStartMinorPageFaults=87264; loadPixelBoxStartMajorPageFaults=0; loadPixelBoxStartBlockInputs=24; loadPixelBoxStartBlockOutputs=96; loadPixelBoxStartVoluntaryContextSwitches=32; loadPixelBoxStartInvoluntaryContextSwitches=111450
aNetBasicAstrometry.loadAN INFO: Loading reference objects using center (1023.5, 2305.5) pix = Fk5Coord(215.5935343, 53.0686851, 2000.00) sky and radius 0.132540830418013 deg
aNetBasicAstrometry.loadAN DEBUG: loadSkyCircleStartCpuTime=4.01; loadSkyCircleStartUserTime=3.549553; loadSkyCircleStartSystemTime=0.471479; loadSkyCircleStartMaxResidentSetSize=310156; loadSkyCircleStartMinorPageFaults=87275; loadSkyCircleStartMajorPageFaults=0; loadSkyCircleStartBlockInputs=24; loadSkyCircleStartBlockOutputs=104; loadSkyCircleStartVoluntaryContextSwitches=32; loadSkyCircleStartInvoluntaryContextSwitches=111450
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesStartCpuTime=4.02; _readIndexFilesStartUserTime=3.550831; _readIndexFilesStartSystemTime=0.471516; _readIndexFilesStartMaxResidentSetSize=310156; _readIndexFilesStartMinorPageFaults=87275; _readIndexFilesStartMajorPageFaults=0; _readIndexFilesStartBlockInputs=24; _readIndexFilesStartBlockOutputs=104; _readIndexFilesStartVoluntaryContextSwitches=32; _readIndexFilesStartInvoluntaryContextSwitches=111450
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesEndCpuTime=4.02; _readIndexFilesEndUserTime=3.552082; _readIndexFilesEndSystemTime=0.47154999999999997; _readIndexFilesEndMaxResidentSetSize=310156; _readIndexFilesEndMinorPageFaults=87277; _readIndexFilesEndMajorPageFaults=0; _readIndexFilesEndBlockInputs=24; _readIndexFilesEndBlockOutputs=104; _readIndexFilesEndVoluntaryContextSwitches=32; _readIndexFilesEndInvoluntaryContextSwitches=111450
aNetBasicAstrometry.loadAN DEBUG: search for objects at Fk5Coord(215.5935343, 53.0686851, 2000.00) with radius 0.132540830418013 deg
aNetBasicAstrometry.loadAN DEBUG: found 604 objects
aNetBasicAstrometry.loadAN DEBUG: loadSkyCircleEndCpuTime=4.02; loadSkyCircleEndUserTime=3.556761; loadSkyCircleEndSystemTime=0.47250699999999995; loadSkyCircleEndMaxResidentSetSize=310292; loadSkyCircleEndMinorPageFaults=87543; loadSkyCircleEndMajorPageFaults=0; loadSkyCircleEndBlockInputs=24; loadSkyCircleEndBlockOutputs=104; loadSkyCircleEndVoluntaryContextSwitches=32; loadSkyCircleEndInvoluntaryContextSwitches=111450
aNetBasicAstrometry.loadAN DEBUG: trimmed 342 out-of-bbox objects, leaving 262
aNetBasicAstrometry.loadAN INFO: Loaded 262 reference objects
aNetBasicAstrometry.loadAN DEBUG: loadPixelBoxEndCpuTime=4.03; loadPixelBoxEndUserTime=3.5656939999999997; loadPixelBoxEndSystemTime=0.47250699999999995; loadPixelBoxEndMaxResidentSetSize=310292; loadPixelBoxEndMinorPageFaults=87576; loadPixelBoxEndMajorPageFaults=0; loadPixelBoxEndBlockInputs=24; loadPixelBoxEndBlockOutputs=104; loadPixelBoxEndVoluntaryContextSwitches=32; loadPixelBoxEndInvoluntaryContextSwitches=111450
aNetBasicAstrometry DEBUG: 262 reference sources; 262 unique IDs
aNetBasicAstrometry DEBUG: 59 reference objects match input sources using input WCS
aNetBasicAstrometry DEBUG: SIP iteration 0: 117 objects match, previous = 59; clipped mean scatter = 0.23544371542969214 arcsec, previous = 0.5938205124850208;  max match dist = 0.6184303206889015 arcsec, previous = 1.1928971565634858
aNetBasicAstrometry DEBUG: SIP iteration 1: 160 objects match, previous = 117; clipped mean scatter = 0.1618816528317468 arcsec, previous = 0.23544371542969214;  max match dist = 0.4083580181035795 arcsec, previous = 0.6184303206889015
aNetBasicAstrometry DEBUG: SIP iteration 2: 181 objects match, previous = 160; clipped mean scatter = 0.11968094153531172 arcsec, previous = 0.1618816528317468;  max match dist = 0.2934172686150461 arcsec, previous = 0.4083580181035795
aNetBasicAstrometry DEBUG: SIP iteration 3: 186 objects match, previous = 181; clipped mean scatter = 0.10541779579347402 arcsec, previous = 0.11968094153531172;  max match dist = 0.2643762806425247 arcsec, previous = 0.2934172686150461
aNetBasicAstrometry DEBUG: SIP iteration 4: 186 objects match, previous = 186; clipped mean scatter = 0.10658028507798349 arcsec, previous = 0.10541779579347402;  max match dist = 0.2657518003721863 arcsec, previous = 0.2643762806425247
aNetBasicAstrometry DEBUG: Fit WCS: use iter 3 because max match distance no better in next iter:  0.264376 < 0.265752 arcsec
aNetBasicAstrometry DEBUG: 186 reference objects match input sources using SIP WCS
/build/python/miniconda3-4.2.12/lib/python3.5/site-packages/astropy/config/configuration.py:541: ConfigurationMissingWarning: Configuration defaults will be used due to OSError:Could not find unix home directory to search for astropy config dir on None
  warn(ConfigurationMissingWarning(msg))
/build/stack/miniconda3-4.2.12-7c8e67/Linux64/python_future/0.16.0/lib/python/future-0.16.0-py3.5.egg/past/builtins/misc.py:79: DeprecationWarning: 'U' mode is deprecated
  with open(filename, "rbU") as fin:
/build/stack/miniconda3-4.2.12-7c8e67/EupsBuildDir/Linux64/meas_extensions_astrometryNet-master-g43362ee2f3+10/meas_extensions_astrometryNet-master-g43362ee2f3+10/python/lsst/meas/extensions/astrometryNet/multiindex.py:213: PyfitsDeprecationWarning: The new_table function is deprecated as of version 3.3 and may be removed in a future version.

        Use :meth:`BinTableHDU.from_columns` for new BINARY tables or :meth:`TableHDU.from_columns` for new ASCII tables instead.
  ], nrows=len(self._multiInds))
/build/stack/miniconda3-4.2.12-7c8e67/EupsBuildDir/Linux64/meas_extensions_astrometryNet-master-g43362ee2f3+10/meas_extensions_astrometryNet-master-g43362ee2f3+10/python/lsst/meas/extensions/astrometryNet/multiindex.py:221: PyfitsDeprecationWarning: The new_table function is deprecated as of version 3.3 and may be removed in a future version.

        Use :meth:`BinTableHDU.from_columns` for new BINARY tables or :meth:`TableHDU.from_columns` for new ASCII tables instead.
  ], nrows=numFilenames)
/build/stack/miniconda3-4.2.12-7c8e67/Linux64/astrometry_net/0.67.123ff3e.lsst1+1/lib/python/astrometry/util/ttime.py:13: ResourceWarning: unclosed file <_io.TextIOWrapper name='/proc/11396/status' mode='r' encoding='ANSI_X3.4-1968'>
  t = open(procfn).readlines()
/build/stack/miniconda3-4.2.12-7c8e67/Linux64/astrometry_net/0.67.123ff3e.lsst1+1/lib/python/astrometry/util/ttime.py:20: ResourceWarning: unclosed file <_io.TextIOWrapper name='/proc/11396/maps' mode='r' encoding='ANSI_X3.4-1968'>
  t = open(procfn).readlines()
.aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesStartCpuTime=4.41; _readIndexFilesStartUserTime=3.93648; _readIndexFilesStartSystemTime=0.48158999999999996; _readIndexFilesStartMaxResidentSetSize=311216; _readIndexFilesStartMinorPageFaults=89509; _readIndexFilesStartMajorPageFaults=0; _readIndexFilesStartBlockInputs=24; _readIndexFilesStartBlockOutputs=112; _readIndexFilesStartVoluntaryContextSwitches=32; _readIndexFilesStartInvoluntaryContextSwitches=111450
aNetBasicAstrometry.loadAN DEBUG: read index files
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesEndCpuTime=4.42; _readIndexFilesEndUserTime=3.942999; _readIndexFilesEndSystemTime=0.481656; _readIndexFilesEndMaxResidentSetSize=311248; _readIndexFilesEndMinorPageFaults=89697; _readIndexFilesEndMajorPageFaults=0; _readIndexFilesEndBlockInputs=24; _readIndexFilesEndBlockOutputs=112; _readIndexFilesEndVoluntaryContextSwitches=32; _readIndexFilesEndInvoluntaryContextSwitches=111451
aNetBasicAstrometry DEBUG: Setting wcs from exposure metadata
aNetBasicAstrometry DEBUG: Setting filterName = 'i' from exposure metadata
aNetBasicAstrometry DEBUG: Setting pixel scale estimate = 0.184 from given WCS estimate
aNetBasicAstrometry DEBUG: Setting RA,Dec center estimate = (215.594, 53.069) from given WCS estimate, using pixel center = (1023.5, 2305.5)
aNetBasicAstrometry DEBUG: Using parity = False
aNetBasicAstrometry INFO: Number of selected sources for astrometry : 327
aNetBasicAstrometry DEBUG: Keeping 327 of 337 sources with finite X,Y positions and PSF flux
aNetBasicAstrometry DEBUG: Feeding sources in range x=[10.1, 2035.6], y=[40.6, 4570.6] (after subtracting x0,y0 = 0.0,0.0) to Astrometry.net
aNetBasicAstrometry DEBUG: Searching for match around RA,Dec = (215.594, 53.0688) with radius 1 deg
aNetBasicAstrometry DEBUG: Searching for matches with pixel scale = 0.183766 +- 10 % -> range [0.16706, 0.202142] arcsec/pix
aNetBasicAstrometry DEBUG: Searching for match with parity = False
aNetBasicAstrometry DEBUG: Index files loaded: Memory: VmPeak: 1879780 kB, VmSize: 1879780 kB, VmRSS: 311248 kB, VmData: 399596 kB, Mmaps: 1645, Mmaps: 1879780 kB
aNetBasicAstrometry DEBUG: Solving finished: Memory: VmPeak: 1880436 kB, VmSize: 1880436 kB, VmRSS: 312036 kB, VmData: 400252 kB, Mmaps: 1645, Mmaps: 1880436 kB
aNetBasicAstrometry DEBUG: Index files unloaded: Memory: VmPeak: 1880436 kB, VmSize: 1879808 kB, VmRSS: 311832 kB, VmData: 399996 kB, Mmaps: 1627, Mmaps: 1879808 kB
aNetBasicAstrometry DEBUG: Solved!
aNetBasicAstrometry DEBUG: WCS: NAXIS = 2
// number of data axes
EQUINOX = 2000.0000000000
// Equinox of coordinates
RADESYS = "FK5"
// Coordinate system for equinox
CRPIX1 = 1140.7707286100
// WCS Coordinate reference pixel
CRPIX2 = 1139.1831378553
// WCS Coordinate reference pixel
CD1_1 = 5.1188746460527e-05
// WCS Coordinate scale matrix
CD1_2 = 1.3691915962525e-07
// WCS Coordinate scale matrix
CD2_1 = 1.3691915962525e-07
// WCS Coordinate scale matrix
CD2_2 = -5.1188746460527e-05
// WCS Coordinate scale matrix
CRVAL1 = 215.60317370228
// WCS Ref value (RA in decimal degrees)
CRVAL2 = 53.128454898498
// WCS Ref value (DEC in decimal degrees)
CUNIT1 = "deg"
CUNIT2 = "deg"
CTYPE1 = "RA---TAN"
// WCS Coordinate type
CTYPE2 = "DEC--TAN"
// WCS Coordinate type

aNetBasicAstrometry DEBUG: qa: meas_astrom*an*n_tried = 129
meas_astrom*an*n_matched = 1
meas_astrom*an*n_scaleok = 1
meas_astrom*an*n_cxdxcut = 55
meas_astrom*an*n_meanxcut = 325
meas_astrom*an*n_radeccut = 0
meas_astrom*an*n_scalecut = 0
meas_astrom*an*n_verified = 1
meas_astrom*an*time_used = 0.00076799999999988
meas_astrom*an*best_logodds = 561.74713134766
meas_astrom*an*best_index*id = -1364614477
meas_astrom*an*best_index*hp = 11
meas_astrom*an*best_index*nside = 2
meas_astrom*an*best_index*name = "/build/stack/miniconda3-4.2.12-7c8e67/EupsBuildDir/Linux64/meas_extensions_astrometryNet-master-g43362ee2f3+10/meas_extensions_astrometryNet-master-g43362ee2f3+10/tests/astrometry_net_data/photocal/index-photocal-test.fits"
meas_astrom*an*best_match*starinds = "4651, 3034, 4617, 4612"
meas_astrom*an*best_match*coderr = 0.0005059317
meas_astrom*an*best_match*nmatch = 180
meas_astrom*an*best_match*ndistract = 108
meas_astrom*an*best_match*nconflict = 7
meas_astrom*an*best_match*nfield = 327
meas_astrom*an*best_match*nindex = 242
meas_astrom*an*best_match*nbest = 295
meas_astrom*an*best_match*logodds = 561.7471
meas_astrom*an*best_match*parity = 1
meas_astrom*an*best_match*nobjs = 10

aNetBasicAstrometry INFO: Got astrometric solution from Astrometry.net
aNetBasicAstrometry DEBUG: New WCS says image center pixel (1023.5, 2305.5) -> RA,Dec (215.594, 53.069)
aNetBasicAstrometry DEBUG: Setting filterName = 'i' from exposure metadata
aNetBasicAstrometry.loadAN DEBUG: loadPixelBoxStartCpuTime=4.46; loadPixelBoxStartUserTime=3.984829; loadPixelBoxStartSystemTime=0.486635; loadPixelBoxStartMaxResidentSetSize=312036; loadPixelBoxStartMinorPageFaults=89946; loadPixelBoxStartMajorPageFaults=0; loadPixelBoxStartBlockInputs=24; loadPixelBoxStartBlockOutputs=120; loadPixelBoxStartVoluntaryContextSwitches=32; loadPixelBoxStartInvoluntaryContextSwitches=111451
aNetBasicAstrometry.loadAN INFO: Loading reference objects using center (1023.5, 2305.5) pix = Fk5Coord(215.5935343, 53.0686851, 2000.00) sky and radius 0.132540830418013 deg
aNetBasicAstrometry.loadAN DEBUG: loadSkyCircleStartCpuTime=4.46; loadSkyCircleStartUserTime=3.987138; loadSkyCircleStartSystemTime=0.486674; loadSkyCircleStartMaxResidentSetSize=312036; loadSkyCircleStartMinorPageFaults=89946; loadSkyCircleStartMajorPageFaults=0; loadSkyCircleStartBlockInputs=24; loadSkyCircleStartBlockOutputs=120; loadSkyCircleStartVoluntaryContextSwitches=32; loadSkyCircleStartInvoluntaryContextSwitches=111451
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesStartCpuTime=4.46; _readIndexFilesStartUserTime=3.987476; _readIndexFilesStartSystemTime=0.48758999999999997; _readIndexFilesStartMaxResidentSetSize=312036; _readIndexFilesStartMinorPageFaults=89946; _readIndexFilesStartMajorPageFaults=0; _readIndexFilesStartBlockInputs=24; _readIndexFilesStartBlockOutputs=120; _readIndexFilesStartVoluntaryContextSwitches=32; _readIndexFilesStartInvoluntaryContextSwitches=111451
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesEndCpuTime=4.46; _readIndexFilesEndUserTime=3.988595; _readIndexFilesEndSystemTime=0.48760499999999996; _readIndexFilesEndMaxResidentSetSize=312036; _readIndexFilesEndMinorPageFaults=89946; _readIndexFilesEndMajorPageFaults=0; _readIndexFilesEndBlockInputs=24; _readIndexFilesEndBlockOutputs=128; _readIndexFilesEndVoluntaryContextSwitches=32; _readIndexFilesEndInvoluntaryContextSwitches=111451
aNetBasicAstrometry.loadAN DEBUG: search for objects at Fk5Coord(215.5935343, 53.0686851, 2000.00) with radius 0.132540830418013 deg
aNetBasicAstrometry.loadAN DEBUG: found 604 objects
aNetBasicAstrometry.loadAN DEBUG: loadSkyCircleEndCpuTime=4.47; loadSkyCircleEndUserTime=3.995003; loadSkyCircleEndSystemTime=0.488654; loadSkyCircleEndMaxResidentSetSize=312056; loadSkyCircleEndMinorPageFaults=90179; loadSkyCircleEndMajorPageFaults=0; loadSkyCircleEndBlockInputs=24; loadSkyCircleEndBlockOutputs=128; loadSkyCircleEndVoluntaryContextSwitches=32; loadSkyCircleEndInvoluntaryContextSwitches=111451
aNetBasicAstrometry.loadAN DEBUG: trimmed 342 out-of-bbox objects, leaving 262
aNetBasicAstrometry.loadAN INFO: Loaded 262 reference objects
aNetBasicAstrometry.loadAN DEBUG: loadPixelBoxEndCpuTime=4.48; loadPixelBoxEndUserTime=4.003859; loadPixelBoxEndSystemTime=0.488654; loadPixelBoxEndMaxResidentSetSize=312056; loadPixelBoxEndMinorPageFaults=90179; loadPixelBoxEndMajorPageFaults=0; loadPixelBoxEndBlockInputs=24; loadPixelBoxEndBlockOutputs=128; loadPixelBoxEndVoluntaryContextSwitches=32; loadPixelBoxEndInvoluntaryContextSwitches=111451
aNetBasicAstrometry DEBUG: 262 reference sources; 262 unique IDs
aNetBasicAstrometry DEBUG: 59 reference objects match input sources using input WCS
aNetBasicAstrometry DEBUG: SIP iteration 0: 117 objects match, previous = 59; clipped mean scatter = 0.23544371542969214 arcsec, previous = 0.5938205124850208;  max match dist = 0.6184303206889015 arcsec, previous = 1.1928971565634858
aNetBasicAstrometry DEBUG: SIP iteration 1: 160 objects match, previous = 117; clipped mean scatter = 0.1618816528317468 arcsec, previous = 0.23544371542969214;  max match dist = 0.4083580181035795 arcsec, previous = 0.6184303206889015
aNetBasicAstrometry DEBUG: SIP iteration 2: 181 objects match, previous = 160; clipped mean scatter = 0.11968094153531172 arcsec, previous = 0.1618816528317468;  max match dist = 0.2934172686150461 arcsec, previous = 0.4083580181035795
aNetBasicAstrometry DEBUG: SIP iteration 3: 186 objects match, previous = 181; clipped mean scatter = 0.10541779579347402 arcsec, previous = 0.11968094153531172;  max match dist = 0.2643762806425247 arcsec, previous = 0.2934172686150461
aNetBasicAstrometry DEBUG: SIP iteration 4: 186 objects match, previous = 186; clipped mean scatter = 0.10658028507798349 arcsec, previous = 0.10541779579347402;  max match dist = 0.2657518003721863 arcsec, previous = 0.2643762806425247
aNetBasicAstrometry DEBUG: Fit WCS: use iter 3 because max match distance no better in next iter:  0.264376 < 0.265752 arcsec
aNetBasicAstrometry DEBUG: 186 reference objects match input sources using SIP WCS
.aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesStartCpuTime=4.85; _readIndexFilesStartUserTime=4.36896; _readIndexFilesStartSystemTime=0.494749; _readIndexFilesStartMaxResidentSetSize=316116; _readIndexFilesStartMinorPageFaults=90710; _readIndexFilesStartMajorPageFaults=0; _readIndexFilesStartBlockInputs=24; _readIndexFilesStartBlockOutputs=128; _readIndexFilesStartVoluntaryContextSwitches=32; _readIndexFilesStartInvoluntaryContextSwitches=111452
aNetBasicAstrometry.loadAN DEBUG: read index files
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesEndCpuTime=4.86; _readIndexFilesEndUserTime=4.373997; _readIndexFilesEndSystemTime=0.494755; _readIndexFilesEndMaxResidentSetSize=316124; _readIndexFilesEndMinorPageFaults=90716; _readIndexFilesEndMajorPageFaults=0; _readIndexFilesEndBlockInputs=24; _readIndexFilesEndBlockOutputs=128; _readIndexFilesEndVoluntaryContextSwitches=32; _readIndexFilesEndInvoluntaryContextSwitches=111452
aNetBasicAstrometry DEBUG: Setting wcs from exposure metadata
aNetBasicAstrometry DEBUG: Setting filterName = 'i' from exposure metadata
aNetBasicAstrometry DEBUG: Setting pixel scale estimate = 0.184 from given WCS estimate
aNetBasicAstrometry DEBUG: Setting RA,Dec center estimate = (215.594, 53.069) from given WCS estimate, using pixel center = (1023.5, 2305.5)
aNetBasicAstrometry DEBUG: Using parity = False
aNetBasicAstrometry INFO: Number of selected sources for astrometry : 327
aNetBasicAstrometry DEBUG: Keeping 327 of 337 sources with finite X,Y positions and PSF flux
aNetBasicAstrometry DEBUG: Feeding sources in range x=[10.1, 2035.6], y=[40.6, 4570.6] (after subtracting x0,y0 = 0.0,0.0) to Astrometry.net
aNetBasicAstrometry DEBUG: Searching for match around RA,Dec = (215.594, 53.0688) with radius 1 deg
aNetBasicAstrometry DEBUG: Searching for matches with pixel scale = 0.183766 +- 10 % -> range [0.16706, 0.202142] arcsec/pix
aNetBasicAstrometry DEBUG: Searching for match with parity = False
aNetBasicAstrometry DEBUG: Index files loaded: Memory: VmPeak: 1884588 kB, VmSize: 1884588 kB, VmRSS: 316124 kB, VmData: 404528 kB, Mmaps: 1640, Mmaps: 1884588 kB
aNetBasicAstrometry DEBUG: Solving finished: Memory: VmPeak: 1884588 kB, VmSize: 1884588 kB, VmRSS: 316124 kB, VmData: 404528 kB, Mmaps: 1640, Mmaps: 1884588 kB
aNetBasicAstrometry DEBUG: Index files unloaded: Memory: VmPeak: 1884588 kB, VmSize: 1884340 kB, VmRSS: 316240 kB, VmData: 404528 kB, Mmaps: 1627, Mmaps: 1884340 kB
aNetBasicAstrometry DEBUG: Solved!
aNetBasicAstrometry DEBUG: WCS: NAXIS = 2
// number of data axes
EQUINOX = 2000.0000000000
// Equinox of coordinates
RADESYS = "FK5"
// Coordinate system for equinox
CRPIX1 = 1140.7707286100
// WCS Coordinate reference pixel
CRPIX2 = 1139.1831378553
// WCS Coordinate reference pixel
CD1_1 = 5.1188746460527e-05
// WCS Coordinate scale matrix
CD1_2 = 1.3691915962525e-07
// WCS Coordinate scale matrix
CD2_1 = 1.3691915962525e-07
// WCS Coordinate scale matrix
CD2_2 = -5.1188746460527e-05
// WCS Coordinate scale matrix
CRVAL1 = 215.60317370228
// WCS Ref value (RA in decimal degrees)
CRVAL2 = 53.128454898498
// WCS Ref value (DEC in decimal degrees)
CUNIT1 = "deg"
CUNIT2 = "deg"
CTYPE1 = "RA---TAN"
// WCS Coordinate type
CTYPE2 = "DEC--TAN"
// WCS Coordinate type

aNetBasicAstrometry DEBUG: qa: meas_astrom*an*n_tried = 129
meas_astrom*an*n_matched = 1
meas_astrom*an*n_scaleok = 1
meas_astrom*an*n_cxdxcut = 55
meas_astrom*an*n_meanxcut = 325
meas_astrom*an*n_radeccut = 0
meas_astrom*an*n_scalecut = 0
meas_astrom*an*n_verified = 1
meas_astrom*an*time_used = 0.00074500000000022
meas_astrom*an*best_logodds = 561.74713134766
meas_astrom*an*best_index*id = -1364614477
meas_astrom*an*best_index*hp = 11
meas_astrom*an*best_index*nside = 2
meas_astrom*an*best_index*name = "/build/stack/miniconda3-4.2.12-7c8e67/EupsBuildDir/Linux64/meas_extensions_astrometryNet-master-g43362ee2f3+10/meas_extensions_astrometryNet-master-g43362ee2f3+10/tests/astrometry_net_data/photocal/index-photocal-test.fits"
meas_astrom*an*best_match*starinds = "4651, 3034, 4617, 4612"
meas_astrom*an*best_match*coderr = 0.0005059317
meas_astrom*an*best_match*nmatch = 180
meas_astrom*an*best_match*ndistract = 108
meas_astrom*an*best_match*nconflict = 7
meas_astrom*an*best_match*nfield = 327
meas_astrom*an*best_match*nindex = 242
meas_astrom*an*best_match*nbest = 295
meas_astrom*an*best_match*logodds = 561.7471
meas_astrom*an*best_match*parity = 1
meas_astrom*an*best_match*nobjs = 10

aNetBasicAstrometry INFO: Got astrometric solution from Astrometry.net
aNetBasicAstrometry DEBUG: New WCS says image center pixel (1023.5, 2305.5) -> RA,Dec (215.594, 53.069)
aNetBasicAstrometry DEBUG: Setting filterName = 'i' from exposure metadata
aNetBasicAstrometry.loadAN DEBUG: loadPixelBoxStartCpuTime=4.91; loadPixelBoxStartUserTime=4.412567; loadPixelBoxStartSystemTime=0.500702; loadPixelBoxStartMaxResidentSetSize=316344; loadPixelBoxStartMinorPageFaults=90771; loadPixelBoxStartMajorPageFaults=0; loadPixelBoxStartBlockInputs=24; loadPixelBoxStartBlockOutputs=136; loadPixelBoxStartVoluntaryContextSwitches=32; loadPixelBoxStartInvoluntaryContextSwitches=111452
aNetBasicAstrometry.loadAN INFO: Loading reference objects using center (1023.5, 2305.5) pix = Fk5Coord(215.5935343, 53.0686851, 2000.00) sky and radius 0.132540830418013 deg
aNetBasicAstrometry.loadAN DEBUG: loadSkyCircleStartCpuTime=4.91; loadSkyCircleStartUserTime=4.414743; loadSkyCircleStartSystemTime=0.500723; loadSkyCircleStartMaxResidentSetSize=316344; loadSkyCircleStartMinorPageFaults=90771; loadSkyCircleStartMajorPageFaults=0; loadSkyCircleStartBlockInputs=24; loadSkyCircleStartBlockOutputs=144; loadSkyCircleStartVoluntaryContextSwitches=32; loadSkyCircleStartInvoluntaryContextSwitches=111452
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesStartCpuTime=4.91; _readIndexFilesStartUserTime=4.415924; _readIndexFilesStartSystemTime=0.500744; _readIndexFilesStartMaxResidentSetSize=316344; _readIndexFilesStartMinorPageFaults=90771; _readIndexFilesStartMajorPageFaults=0; _readIndexFilesStartBlockInputs=24; _readIndexFilesStartBlockOutputs=144; _readIndexFilesStartVoluntaryContextSwitches=32; _readIndexFilesStartInvoluntaryContextSwitches=111452
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesEndCpuTime=4.91; _readIndexFilesEndUserTime=4.41701; _readIndexFilesEndSystemTime=0.500754; _readIndexFilesEndMaxResidentSetSize=316344; _readIndexFilesEndMinorPageFaults=90771; _readIndexFilesEndMajorPageFaults=0; _readIndexFilesEndBlockInputs=24; _readIndexFilesEndBlockOutputs=144; _readIndexFilesEndVoluntaryContextSwitches=32; _readIndexFilesEndInvoluntaryContextSwitches=111452
aNetBasicAstrometry.loadAN DEBUG: search for objects at Fk5Coord(215.5935343, 53.0686851, 2000.00) with radius 0.132540830418013 deg
aNetBasicAstrometry.loadAN DEBUG: found 604 objects
aNetBasicAstrometry.loadAN DEBUG: loadSkyCircleEndCpuTime=4.92; loadSkyCircleEndUserTime=4.422917; loadSkyCircleEndSystemTime=0.500754; loadSkyCircleEndMaxResidentSetSize=316344; loadSkyCircleEndMinorPageFaults=90976; loadSkyCircleEndMajorPageFaults=0; loadSkyCircleEndBlockInputs=24; loadSkyCircleEndBlockOutputs=144; loadSkyCircleEndVoluntaryContextSwitches=32; loadSkyCircleEndInvoluntaryContextSwitches=111452
aNetBasicAstrometry.loadAN DEBUG: trimmed 342 out-of-bbox objects, leaving 262
aNetBasicAstrometry.loadAN INFO: Loaded 262 reference objects
aNetBasicAstrometry.loadAN DEBUG: loadPixelBoxEndCpuTime=4.93; loadPixelBoxEndUserTime=4.430869; loadPixelBoxEndSystemTime=0.5017389999999999; loadPixelBoxEndMaxResidentSetSize=316344; loadPixelBoxEndMinorPageFaults=90976; loadPixelBoxEndMajorPageFaults=0; loadPixelBoxEndBlockInputs=24; loadPixelBoxEndBlockOutputs=144; loadPixelBoxEndVoluntaryContextSwitches=32; loadPixelBoxEndInvoluntaryContextSwitches=111452
aNetBasicAstrometry DEBUG: 262 reference sources; 262 unique IDs
aNetBasicAstrometry DEBUG: 59 reference objects match input sources using input WCS
aNetBasicAstrometry DEBUG: SIP iteration 0: 117 objects match, previous = 59; clipped mean scatter = 0.23544371542969214 arcsec, previous = 0.5938205124850208;  max match dist = 0.6184303206889015 arcsec, previous = 1.1928971565634858
aNetBasicAstrometry DEBUG: SIP iteration 1: 160 objects match, previous = 117; clipped mean scatter = 0.1618816528317468 arcsec, previous = 0.23544371542969214;  max match dist = 0.4083580181035795 arcsec, previous = 0.6184303206889015
aNetBasicAstrometry DEBUG: SIP iteration 2: 181 objects match, previous = 160; clipped mean scatter = 0.11968094153531172 arcsec, previous = 0.1618816528317468;  max match dist = 0.2934172686150461 arcsec, previous = 0.4083580181035795
aNetBasicAstrometry DEBUG: SIP iteration 3: 186 objects match, previous = 181; clipped mean scatter = 0.10541779579347402 arcsec, previous = 0.11968094153531172;  max match dist = 0.2643762806425247 arcsec, previous = 0.2934172686150461
aNetBasicAstrometry DEBUG: SIP iteration 4: 186 objects match, previous = 186; clipped mean scatter = 0.10658028507798349 arcsec, previous = 0.10541779579347402;  max match dist = 0.2657518003721863 arcsec, previous = 0.2643762806425247
aNetBasicAstrometry DEBUG: Fit WCS: use iter 3 because max match distance no better in next iter:  0.264376 < 0.265752 arcsec
aNetBasicAstrometry DEBUG: 186 reference objects match input sources using SIP WCS
.aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesStartCpuTime=5.29; _readIndexFilesStartUserTime=4.795169; _readIndexFilesStartSystemTime=0.506749; _readIndexFilesStartMaxResidentSetSize=316344; _readIndexFilesStartMinorPageFaults=90980; _readIndexFilesStartMajorPageFaults=0; _readIndexFilesStartBlockInputs=24; _readIndexFilesStartBlockOutputs=152; _readIndexFilesStartVoluntaryContextSwitches=32; _readIndexFilesStartInvoluntaryContextSwitches=111452
aNetBasicAstrometry.loadAN DEBUG: read index files
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesEndCpuTime=5.29; _readIndexFilesEndUserTime=4.799773; _readIndexFilesEndSystemTime=0.506814; _readIndexFilesEndMaxResidentSetSize=316344; _readIndexFilesEndMinorPageFaults=90986; _readIndexFilesEndMajorPageFaults=0; _readIndexFilesEndBlockInputs=24; _readIndexFilesEndBlockOutputs=152; _readIndexFilesEndVoluntaryContextSwitches=32; _readIndexFilesEndInvoluntaryContextSwitches=111452
aNetBasicAstrometry DEBUG: Setting wcs from exposure metadata
aNetBasicAstrometry DEBUG: Setting filterName = 'i' from exposure metadata
aNetBasicAstrometry DEBUG: Setting pixel scale estimate = 0.184 from given WCS estimate
aNetBasicAstrometry DEBUG: Setting RA,Dec center estimate = (215.594, 53.069) from given WCS estimate, using pixel center = (1023.5, 2305.5)
aNetBasicAstrometry DEBUG: Using parity = False
aNetBasicAstrometry INFO: Number of selected sources for astrometry : 327
aNetBasicAstrometry DEBUG: Keeping 327 of 337 sources with finite X,Y positions and PSF flux
aNetBasicAstrometry DEBUG: Feeding sources in range x=[10.1, 2035.6], y=[40.6, 4570.6] (after subtracting x0,y0 = 0.0,0.0) to Astrometry.net
aNetBasicAstrometry DEBUG: Searching for match around RA,Dec = (215.594, 53.0688) with radius 1 deg
aNetBasicAstrometry DEBUG: Searching for matches with pixel scale = 0.183766 +- 10 % -> range [0.16706, 0.202142] arcsec/pix
aNetBasicAstrometry DEBUG: Searching for match with parity = False
aNetBasicAstrometry DEBUG: Index files loaded: Memory: VmPeak: 1884756 kB, VmSize: 1884588 kB, VmRSS: 316248 kB, VmData: 404528 kB, Mmaps: 1640, Mmaps: 1884588 kB
aNetBasicAstrometry DEBUG: Solving finished: Memory: VmPeak: 1884756 kB, VmSize: 1884588 kB, VmRSS: 316248 kB, VmData: 404528 kB, Mmaps: 1640, Mmaps: 1884588 kB
aNetBasicAstrometry DEBUG: Index files unloaded: Memory: VmPeak: 1884756 kB, VmSize: 1884340 kB, VmRSS: 316240 kB, VmData: 404528 kB, Mmaps: 1627, Mmaps: 1884340 kB
aNetBasicAstrometry DEBUG: Solved!
aNetBasicAstrometry DEBUG: WCS: NAXIS = 2
// number of data axes
EQUINOX = 2000.0000000000
// Equinox of coordinates
RADESYS = "FK5"
// Coordinate system for equinox
CRPIX1 = 1140.7707286100
// WCS Coordinate reference pixel
CRPIX2 = 1139.1831378553
// WCS Coordinate reference pixel
CD1_1 = 5.1188746460527e-05
// WCS Coordinate scale matrix
CD1_2 = 1.3691915962525e-07
// WCS Coordinate scale matrix
CD2_1 = 1.3691915962525e-07
// WCS Coordinate scale matrix
CD2_2 = -5.1188746460527e-05
// WCS Coordinate scale matrix
CRVAL1 = 215.60317370228
// WCS Ref value (RA in decimal degrees)
CRVAL2 = 53.128454898498
// WCS Ref value (DEC in decimal degrees)
CUNIT1 = "deg"
CUNIT2 = "deg"
CTYPE1 = "RA---TAN"
// WCS Coordinate type
CTYPE2 = "DEC--TAN"
// WCS Coordinate type

aNetBasicAstrometry DEBUG: qa: meas_astrom*an*n_tried = 129
meas_astrom*an*n_matched = 1
meas_astrom*an*n_scaleok = 1
meas_astrom*an*n_cxdxcut = 55
meas_astrom*an*n_meanxcut = 325
meas_astrom*an*n_radeccut = 0
meas_astrom*an*n_scalecut = 0
meas_astrom*an*n_verified = 1
meas_astrom*an*time_used = 0.00075600000000087
meas_astrom*an*best_logodds = 561.74713134766
meas_astrom*an*best_index*id = -1364614477
meas_astrom*an*best_index*hp = 11
meas_astrom*an*best_index*nside = 2
meas_astrom*an*best_index*name = "/build/stack/miniconda3-4.2.12-7c8e67/EupsBuildDir/Linux64/meas_extensions_astrometryNet-master-g43362ee2f3+10/meas_extensions_astrometryNet-master-g43362ee2f3+10/tests/astrometry_net_data/photocal/index-photocal-test.fits"
meas_astrom*an*best_match*starinds = "4651, 3034, 4617, 4612"
meas_astrom*an*best_match*coderr = 0.0005059317
meas_astrom*an*best_match*nmatch = 180
meas_astrom*an*best_match*ndistract = 108
meas_astrom*an*best_match*nconflict = 7
meas_astrom*an*best_match*nfield = 327
meas_astrom*an*best_match*nindex = 242
meas_astrom*an*best_match*nbest = 295
meas_astrom*an*best_match*logodds = 561.7471
meas_astrom*an*best_match*parity = 1
meas_astrom*an*best_match*nobjs = 10

aNetBasicAstrometry INFO: Got astrometric solution from Astrometry.net
aNetBasicAstrometry DEBUG: New WCS says image center pixel (1023.5, 2305.5) -> RA,Dec (215.594, 53.069)
aNetBasicAstrometry DEBUG: Setting filterName = 'i' from exposure metadata
aNetBasicAstrometry.loadAN DEBUG: loadPixelBoxStartCpuTime=5.34; loadPixelBoxStartUserTime=4.83851; loadPixelBoxStartSystemTime=0.513779; loadPixelBoxStartMaxResidentSetSize=316344; loadPixelBoxStartMinorPageFaults=91010; loadPixelBoxStartMajorPageFaults=0; loadPixelBoxStartBlockInputs=24; loadPixelBoxStartBlockOutputs=160; loadPixelBoxStartVoluntaryContextSwitches=32; loadPixelBoxStartInvoluntaryContextSwitches=111452
aNetBasicAstrometry.loadAN INFO: Loading reference objects using center (1023.5, 2305.5) pix = Fk5Coord(215.5935343, 53.0686851, 2000.00) sky and radius 0.132540830418013 deg
aNetBasicAstrometry.loadAN DEBUG: loadSkyCircleStartCpuTime=5.34; loadSkyCircleStartUserTime=4.838775; loadSkyCircleStartSystemTime=0.515803; loadSkyCircleStartMaxResidentSetSize=316344; loadSkyCircleStartMinorPageFaults=91010; loadSkyCircleStartMajorPageFaults=0; loadSkyCircleStartBlockInputs=24; loadSkyCircleStartBlockOutputs=160; loadSkyCircleStartVoluntaryContextSwitches=32; loadSkyCircleStartInvoluntaryContextSwitches=111452
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesStartCpuTime=5.35; _readIndexFilesStartUserTime=4.840107; _readIndexFilesStartSystemTime=0.515803; _readIndexFilesStartMaxResidentSetSize=316344; _readIndexFilesStartMinorPageFaults=91010; _readIndexFilesStartMajorPageFaults=0; _readIndexFilesStartBlockInputs=24; _readIndexFilesStartBlockOutputs=160; _readIndexFilesStartVoluntaryContextSwitches=32; _readIndexFilesStartInvoluntaryContextSwitches=111452
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesEndCpuTime=5.35; _readIndexFilesEndUserTime=4.841226; _readIndexFilesEndSystemTime=0.515803; _readIndexFilesEndMaxResidentSetSize=316344; _readIndexFilesEndMinorPageFaults=91010; _readIndexFilesEndMajorPageFaults=0; _readIndexFilesEndBlockInputs=24; _readIndexFilesEndBlockOutputs=160; _readIndexFilesEndVoluntaryContextSwitches=32; _readIndexFilesEndInvoluntaryContextSwitches=111452
aNetBasicAstrometry.loadAN DEBUG: search for objects at Fk5Coord(215.5935343, 53.0686851, 2000.00) with radius 0.132540830418013 deg
aNetBasicAstrometry.loadAN DEBUG: found 604 objects
aNetBasicAstrometry.loadAN DEBUG: loadSkyCircleEndCpuTime=5.35; loadSkyCircleEndUserTime=4.847462; loadSkyCircleEndSystemTime=0.515803; loadSkyCircleEndMaxResidentSetSize=316344; loadSkyCircleEndMinorPageFaults=91215; loadSkyCircleEndMajorPageFaults=0; loadSkyCircleEndBlockInputs=24; loadSkyCircleEndBlockOutputs=160; loadSkyCircleEndVoluntaryContextSwitches=32; loadSkyCircleEndInvoluntaryContextSwitches=111452
aNetBasicAstrometry.loadAN DEBUG: trimmed 342 out-of-bbox objects, leaving 262
aNetBasicAstrometry.loadAN INFO: Loaded 262 reference objects
aNetBasicAstrometry.loadAN DEBUG: loadPixelBoxEndCpuTime=5.36; loadPixelBoxEndUserTime=4.855357; loadPixelBoxEndSystemTime=0.51676; loadPixelBoxEndMaxResidentSetSize=316344; loadPixelBoxEndMinorPageFaults=91215; loadPixelBoxEndMajorPageFaults=0; loadPixelBoxEndBlockInputs=24; loadPixelBoxEndBlockOutputs=160; loadPixelBoxEndVoluntaryContextSwitches=32; loadPixelBoxEndInvoluntaryContextSwitches=111452
aNetBasicAstrometry DEBUG: 262 reference sources; 262 unique IDs
aNetBasicAstrometry DEBUG: 59 reference objects match input sources using input WCS
aNetBasicAstrometry DEBUG: SIP iteration 0: 117 objects match, previous = 59; clipped mean scatter = 0.23544371542969214 arcsec, previous = 0.5938205124850208;  max match dist = 0.6184303206889015 arcsec, previous = 1.1928971565634858
aNetBasicAstrometry DEBUG: SIP iteration 1: 160 objects match, previous = 117; clipped mean scatter = 0.1618816528317468 arcsec, previous = 0.23544371542969214;  max match dist = 0.4083580181035795 arcsec, previous = 0.6184303206889015
aNetBasicAstrometry DEBUG: SIP iteration 2: 181 objects match, previous = 160; clipped mean scatter = 0.11968094153531172 arcsec, previous = 0.1618816528317468;  max match dist = 0.2934172686150461 arcsec, previous = 0.4083580181035795
aNetBasicAstrometry DEBUG: SIP iteration 3: 186 objects match, previous = 181; clipped mean scatter = 0.10541779579347402 arcsec, previous = 0.11968094153531172;  max match dist = 0.2643762806425247 arcsec, previous = 0.2934172686150461
aNetBasicAstrometry DEBUG: SIP iteration 4: 186 objects match, previous = 186; clipped mean scatter = 0.10658028507798349 arcsec, previous = 0.10541779579347402;  max match dist = 0.2657518003721863 arcsec, previous = 0.2643762806425247
aNetBasicAstrometry DEBUG: Fit WCS: use iter 3 because max match distance no better in next iter:  0.264376 < 0.265752 arcsec
aNetBasicAstrometry DEBUG: 186 reference objects match input sources using SIP WCS
.aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesStartCpuTime=5.73; _readIndexFilesStartUserTime=5.227106; _readIndexFilesStartSystemTime=0.519817; _readIndexFilesStartMaxResidentSetSize=316344; _readIndexFilesStartMinorPageFaults=91219; _readIndexFilesStartMajorPageFaults=0; _readIndexFilesStartBlockInputs=24; _readIndexFilesStartBlockOutputs=168; _readIndexFilesStartVoluntaryContextSwitches=32; _readIndexFilesStartInvoluntaryContextSwitches=111452
aNetBasicAstrometry.loadAN DEBUG: read index files
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesEndCpuTime=5.74; _readIndexFilesEndUserTime=5.233398; _readIndexFilesEndSystemTime=0.519847; _readIndexFilesEndMaxResidentSetSize=316344; _readIndexFilesEndMinorPageFaults=91227; _readIndexFilesEndMajorPageFaults=0; _readIndexFilesEndBlockInputs=24; _readIndexFilesEndBlockOutputs=168; _readIndexFilesEndVoluntaryContextSwitches=32; _readIndexFilesEndInvoluntaryContextSwitches=111452
aNetBasicAstrometry DEBUG: Setting wcs from exposure metadata
aNetBasicAstrometry DEBUG: Setting filterName = 'i' from exposure metadata
aNetBasicAstrometry DEBUG: Setting pixel scale estimate = 0.184 from given WCS estimate
aNetBasicAstrometry DEBUG: Setting RA,Dec center estimate = (215.594, 53.069) from given WCS estimate, using pixel center = (1023.5, 2305.5)
aNetBasicAstrometry DEBUG: Using parity = False
aNetBasicAstrometry INFO: Number of selected sources for astrometry : 327
aNetBasicAstrometry DEBUG: Keeping 327 of 337 sources with finite X,Y positions and PSF flux
aNetBasicAstrometry DEBUG: Feeding sources in range x=[10.1, 2035.6], y=[40.6, 4570.6] (after subtracting x0,y0 = 0.0,0.0) to Astrometry.net
aNetBasicAstrometry DEBUG: Searching for match around RA,Dec = (215.594, 53.0688) with radius 1 deg
aNetBasicAstrometry DEBUG: Searching for matches with pixel scale = 0.183766 +- 10 % -> range [0.16706, 0.202142] arcsec/pix
aNetBasicAstrometry DEBUG: Searching for match with parity = False
aNetBasicAstrometry DEBUG: Index files loaded: Memory: VmPeak: 1884756 kB, VmSize: 1884712 kB, VmRSS: 316252 kB, VmData: 404528 kB, Mmaps: 1646, Mmaps: 1884712 kB
aNetBasicAstrometry DEBUG: Solving finished: Memory: VmPeak: 1884756 kB, VmSize: 1884712 kB, VmRSS: 316252 kB, VmData: 404528 kB, Mmaps: 1646, Mmaps: 1884712 kB
aNetBasicAstrometry DEBUG: Index files unloaded: Memory: VmPeak: 1884756 kB, VmSize: 1884340 kB, VmRSS: 316240 kB, VmData: 404528 kB, Mmaps: 1627, Mmaps: 1884340 kB
aNetBasicAstrometry DEBUG: Solved!
aNetBasicAstrometry DEBUG: WCS: NAXIS = 2
// number of data axes
EQUINOX = 2000.0000000000
// Equinox of coordinates
RADESYS = "FK5"
// Coordinate system for equinox
CRPIX1 = 1140.7707286100
// WCS Coordinate reference pixel
CRPIX2 = 1139.1831378553
// WCS Coordinate reference pixel
CD1_1 = 5.1188746460527e-05
// WCS Coordinate scale matrix
CD1_2 = 1.3691915962525e-07
// WCS Coordinate scale matrix
CD2_1 = 1.3691915962525e-07
// WCS Coordinate scale matrix
CD2_2 = -5.1188746460527e-05
// WCS Coordinate scale matrix
CRVAL1 = 215.60317370228
// WCS Ref value (RA in decimal degrees)
CRVAL2 = 53.128454898498
// WCS Ref value (DEC in decimal degrees)
CUNIT1 = "deg"
CUNIT2 = "deg"
CTYPE1 = "RA---TAN"
// WCS Coordinate type
CTYPE2 = "DEC--TAN"
// WCS Coordinate type

aNetBasicAstrometry DEBUG: qa: meas_astrom*an*n_tried = 182
meas_astrom*an*n_matched = 1
meas_astrom*an*n_scaleok = 1
meas_astrom*an*n_cxdxcut = 77
meas_astrom*an*n_meanxcut = 455
meas_astrom*an*n_radeccut = 0
meas_astrom*an*n_scalecut = 0
meas_astrom*an*n_verified = 1
meas_astrom*an*time_used = 0.00074799999999975
meas_astrom*an*best_logodds = 561.74713134766
meas_astrom*an*best_index*id = -1364614477
meas_astrom*an*best_index*hp = 11
meas_astrom*an*best_index*nside = 2
meas_astrom*an*best_index*name = "/build/stack/miniconda3-4.2.12-7c8e67/EupsBuildDir/Linux64/meas_extensions_astrometryNet-master-g43362ee2f3+10/meas_extensions_astrometryNet-master-g43362ee2f3+10/tests/astrometry_net_data/photocal/index-photocal-test.fits"
meas_astrom*an*best_match*starinds = "4651, 3034, 4617, 4612"
meas_astrom*an*best_match*coderr = 0.0005059317
meas_astrom*an*best_match*nmatch = 180
meas_astrom*an*best_match*ndistract = 108
meas_astrom*an*best_match*nconflict = 7
meas_astrom*an*best_match*nfield = 327
meas_astrom*an*best_match*nindex = 242
meas_astrom*an*best_match*nbest = 295
meas_astrom*an*best_match*logodds = 561.7471
meas_astrom*an*best_match*parity = 1
meas_astrom*an*best_match*nobjs = 10

aNetBasicAstrometry INFO: Got astrometric solution from Astrometry.net
aNetBasicAstrometry DEBUG: New WCS says image center pixel (1023.5, 2305.5) -> RA,Dec (215.594, 53.069)
aNetBasicAstrometry DEBUG: Setting filterName = 'i' from exposure metadata
aNetBasicAstrometry.loadAN DEBUG: loadPixelBoxStartCpuTime=5.78; loadPixelBoxStartUserTime=5.269487; loadPixelBoxStartSystemTime=0.528844; loadPixelBoxStartMaxResidentSetSize=316348; loadPixelBoxStartMinorPageFaults=91251; loadPixelBoxStartMajorPageFaults=0; loadPixelBoxStartBlockInputs=24; loadPixelBoxStartBlockOutputs=176; loadPixelBoxStartVoluntaryContextSwitches=32; loadPixelBoxStartInvoluntaryContextSwitches=111453
aNetBasicAstrometry.loadAN INFO: Loading reference objects using center (1023.5, 2305.5) pix = Fk5Coord(215.5935343, 53.0686851, 2000.00) sky and radius 0.132540830418013 deg
aNetBasicAstrometry.loadAN DEBUG: loadSkyCircleStartCpuTime=5.79; loadSkyCircleStartUserTime=5.271712; loadSkyCircleStartSystemTime=0.528867; loadSkyCircleStartMaxResidentSetSize=316348; loadSkyCircleStartMinorPageFaults=91251; loadSkyCircleStartMajorPageFaults=0; loadSkyCircleStartBlockInputs=24; loadSkyCircleStartBlockOutputs=176; loadSkyCircleStartVoluntaryContextSwitches=32; loadSkyCircleStartInvoluntaryContextSwitches=111453
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesStartCpuTime=5.79; _readIndexFilesStartUserTime=5.273014; _readIndexFilesStartSystemTime=0.528867; _readIndexFilesStartMaxResidentSetSize=316348; _readIndexFilesStartMinorPageFaults=91251; _readIndexFilesStartMajorPageFaults=0; _readIndexFilesStartBlockInputs=24; _readIndexFilesStartBlockOutputs=176; _readIndexFilesStartVoluntaryContextSwitches=32; _readIndexFilesStartInvoluntaryContextSwitches=111453
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesEndCpuTime=5.79; _readIndexFilesEndUserTime=5.273129; _readIndexFilesEndSystemTime=0.529807; _readIndexFilesEndMaxResidentSetSize=316348; _readIndexFilesEndMinorPageFaults=91251; _readIndexFilesEndMajorPageFaults=0; _readIndexFilesEndBlockInputs=24; _readIndexFilesEndBlockOutputs=176; _readIndexFilesEndVoluntaryContextSwitches=32; _readIndexFilesEndInvoluntaryContextSwitches=111453
aNetBasicAstrometry.loadAN DEBUG: search for objects at Fk5Coord(215.5935343, 53.0686851, 2000.00) with radius 0.132540830418013 deg
aNetBasicAstrometry.loadAN DEBUG: found 604 objects
aNetBasicAstrometry.loadAN DEBUG: loadSkyCircleEndCpuTime=5.8; loadSkyCircleEndUserTime=5.280579; loadSkyCircleEndSystemTime=0.5298539999999999; loadSkyCircleEndMaxResidentSetSize=316348; loadSkyCircleEndMinorPageFaults=91484; loadSkyCircleEndMajorPageFaults=0; loadSkyCircleEndBlockInputs=24; loadSkyCircleEndBlockOutputs=184; loadSkyCircleEndVoluntaryContextSwitches=32; loadSkyCircleEndInvoluntaryContextSwitches=111453
aNetBasicAstrometry.loadAN DEBUG: trimmed 342 out-of-bbox objects, leaving 262
aNetBasicAstrometry.loadAN INFO: Loaded 262 reference objects
aNetBasicAstrometry.loadAN DEBUG: loadPixelBoxEndCpuTime=5.8; loadPixelBoxEndUserTime=5.28949; loadPixelBoxEndSystemTime=0.5298539999999999; loadPixelBoxEndMaxResidentSetSize=316348; loadPixelBoxEndMinorPageFaults=91484; loadPixelBoxEndMajorPageFaults=0; loadPixelBoxEndBlockInputs=24; loadPixelBoxEndBlockOutputs=184; loadPixelBoxEndVoluntaryContextSwitches=32; loadPixelBoxEndInvoluntaryContextSwitches=111453
aNetBasicAstrometry DEBUG: 262 reference sources; 262 unique IDs
aNetBasicAstrometry DEBUG: 59 reference objects match input sources using input WCS
aNetBasicAstrometry DEBUG: SIP iteration 0: 117 objects match, previous = 59; clipped mean scatter = 0.23544371542969214 arcsec, previous = 0.5938205124850208;  max match dist = 0.6184303206889015 arcsec, previous = 1.1928971565634858
aNetBasicAstrometry DEBUG: SIP iteration 1: 160 objects match, previous = 117; clipped mean scatter = 0.1618816528317468 arcsec, previous = 0.23544371542969214;  max match dist = 0.4083580181035795 arcsec, previous = 0.6184303206889015
aNetBasicAstrometry DEBUG: SIP iteration 2: 181 objects match, previous = 160; clipped mean scatter = 0.11968094153531172 arcsec, previous = 0.1618816528317468;  max match dist = 0.2934172686150461 arcsec, previous = 0.4083580181035795
aNetBasicAstrometry DEBUG: SIP iteration 3: 186 objects match, previous = 181; clipped mean scatter = 0.10541779579347402 arcsec, previous = 0.11968094153531172;  max match dist = 0.2643762806425247 arcsec, previous = 0.2934172686150461
aNetBasicAstrometry DEBUG: SIP iteration 4: 186 objects match, previous = 186; clipped mean scatter = 0.10658028507798349 arcsec, previous = 0.10541779579347402;  max match dist = 0.2657518003721863 arcsec, previous = 0.2643762806425247
aNetBasicAstrometry DEBUG: Fit WCS: use iter 3 because max match distance no better in next iter:  0.264376 < 0.265752 arcsec
aNetBasicAstrometry DEBUG: 186 reference objects match input sources using SIP WCS
.aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesStartCpuTime=6.18; _readIndexFilesStartUserTime=5.654681; _readIndexFilesStartSystemTime=0.532933; _readIndexFilesStartMaxResidentSetSize=316348; _readIndexFilesStartMinorPageFaults=91488; _readIndexFilesStartMajorPageFaults=0; _readIndexFilesStartBlockInputs=24; _readIndexFilesStartBlockOutputs=184; _readIndexFilesStartVoluntaryContextSwitches=32; _readIndexFilesStartInvoluntaryContextSwitches=111453
aNetBasicAstrometry.loadAN DEBUG: read index files
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesEndCpuTime=6.18; _readIndexFilesEndUserTime=5.658764; _readIndexFilesEndSystemTime=0.532941; _readIndexFilesEndMaxResidentSetSize=316348; _readIndexFilesEndMinorPageFaults=91494; _readIndexFilesEndMajorPageFaults=0; _readIndexFilesEndBlockInputs=24; _readIndexFilesEndBlockOutputs=184; _readIndexFilesEndVoluntaryContextSwitches=32; _readIndexFilesEndInvoluntaryContextSwitches=111453
aNetBasicAstrometry DEBUG: Setting wcs from exposure metadata
aNetBasicAstrometry DEBUG: Setting filterName = 'i' from exposure metadata
aNetBasicAstrometry DEBUG: Setting pixel scale estimate = 0.184 from given WCS estimate
aNetBasicAstrometry DEBUG: Setting RA,Dec center estimate = (215.594, 53.069) from given WCS estimate, using pixel center = (1023.5, 2305.5)
aNetBasicAstrometry DEBUG: Using parity = False
aNetBasicAstrometry INFO: Number of selected sources for astrometry : 327
aNetBasicAstrometry DEBUG: Keeping 327 of 337 sources with finite X,Y positions and PSF flux
aNetBasicAstrometry DEBUG: Feeding sources in range x=[10.1, 2035.6], y=[40.6, 4570.6] (after subtracting x0,y0 = 0.0,0.0) to Astrometry.net
aNetBasicAstrometry DEBUG: Searching for match around RA,Dec = (215.594, 53.0688) with radius 1 deg
aNetBasicAstrometry DEBUG: Searching for matches with pixel scale = 0.183766 +- 10 % -> range [0.16706, 0.202142] arcsec/pix
aNetBasicAstrometry DEBUG: Searching for match with parity = False
aNetBasicAstrometry DEBUG: Index files loaded: Memory: VmPeak: 1884880 kB, VmSize: 1884580 kB, VmRSS: 316248 kB, VmData: 404528 kB, Mmaps: 1640, Mmaps: 1884580 kB
aNetBasicAstrometry DEBUG: Solving finished: Memory: VmPeak: 1884880 kB, VmSize: 1884580 kB, VmRSS: 316248 kB, VmData: 404528 kB, Mmaps: 1640, Mmaps: 1884580 kB
aNetBasicAstrometry DEBUG: Index files unloaded: Memory: VmPeak: 1884880 kB, VmSize: 1884340 kB, VmRSS: 316240 kB, VmData: 404528 kB, Mmaps: 1627, Mmaps: 1884340 kB
aNetBasicAstrometry DEBUG: Solved!
aNetBasicAstrometry DEBUG: WCS: NAXIS = 2
// number of data axes
EQUINOX = 2000.0000000000
// Equinox of coordinates
RADESYS = "FK5"
// Coordinate system for equinox
CRPIX1 = 1140.7707286100
// WCS Coordinate reference pixel
CRPIX2 = 1139.1831378553
// WCS Coordinate reference pixel
CD1_1 = 5.1188746460527e-05
// WCS Coordinate scale matrix
CD1_2 = 1.3691915962525e-07
// WCS Coordinate scale matrix
CD2_1 = 1.3691915962525e-07
// WCS Coordinate scale matrix
CD2_2 = -5.1188746460527e-05
// WCS Coordinate scale matrix
CRVAL1 = 215.60317370228
// WCS Ref value (RA in decimal degrees)
CRVAL2 = 53.128454898498
// WCS Ref value (DEC in decimal degrees)
CUNIT1 = "deg"
CUNIT2 = "deg"
CTYPE1 = "RA---TAN"
// WCS Coordinate type
CTYPE2 = "DEC--TAN"
// WCS Coordinate type

aNetBasicAstrometry DEBUG: qa: meas_astrom*an*n_tried = 129
meas_astrom*an*n_matched = 1
meas_astrom*an*n_scaleok = 1
meas_astrom*an*n_cxdxcut = 55
meas_astrom*an*n_meanxcut = 325
meas_astrom*an*n_radeccut = 0
meas_astrom*an*n_scalecut = 0
meas_astrom*an*n_verified = 1
meas_astrom*an*time_used = 0.00073800000000013
meas_astrom*an*best_logodds = 561.74713134766
meas_astrom*an*best_index*id = -1364614477
meas_astrom*an*best_index*hp = 11
meas_astrom*an*best_index*nside = 2
meas_astrom*an*best_index*name = "/build/stack/miniconda3-4.2.12-7c8e67/EupsBuildDir/Linux64/meas_extensions_astrometryNet-master-g43362ee2f3+10/meas_extensions_astrometryNet-master-g43362ee2f3+10/tests/astrometry_net_data/photocal/mindex-photocal-test.fits"
meas_astrom*an*best_match*starinds = "4651, 3034, 4617, 4612"
meas_astrom*an*best_match*coderr = 0.0005059317
meas_astrom*an*best_match*nmatch = 180
meas_astrom*an*best_match*ndistract = 108
meas_astrom*an*best_match*nconflict = 7
meas_astrom*an*best_match*nfield = 327
meas_astrom*an*best_match*nindex = 242
meas_astrom*an*best_match*nbest = 295
meas_astrom*an*best_match*logodds = 561.7471
meas_astrom*an*best_match*parity = 1
meas_astrom*an*best_match*nobjs = 10

aNetBasicAstrometry INFO: Got astrometric solution from Astrometry.net
aNetBasicAstrometry DEBUG: New WCS says image center pixel (1023.5, 2305.5) -> RA,Dec (215.594, 53.069)
aNetBasicAstrometry DEBUG: Setting filterName = 'i' from exposure metadata
aNetBasicAstrometry.loadAN DEBUG: loadPixelBoxStartCpuTime=6.22; loadPixelBoxStartUserTime=5.696361; loadPixelBoxStartSystemTime=0.5398959999999999; loadPixelBoxStartMaxResidentSetSize=316348; loadPixelBoxStartMinorPageFaults=91518; loadPixelBoxStartMajorPageFaults=0; loadPixelBoxStartBlockInputs=24; loadPixelBoxStartBlockOutputs=192; loadPixelBoxStartVoluntaryContextSwitches=32; loadPixelBoxStartInvoluntaryContextSwitches=111454
aNetBasicAstrometry.loadAN INFO: Loading reference objects using center (1023.5, 2305.5) pix = Fk5Coord(215.5935343, 53.0686851, 2000.00) sky and radius 0.132540830418013 deg
aNetBasicAstrometry.loadAN DEBUG: loadSkyCircleStartCpuTime=6.23; loadSkyCircleStartUserTime=5.697547; loadSkyCircleStartSystemTime=0.540912; loadSkyCircleStartMaxResidentSetSize=316348; loadSkyCircleStartMinorPageFaults=91518; loadSkyCircleStartMajorPageFaults=0; loadSkyCircleStartBlockInputs=24; loadSkyCircleStartBlockOutputs=192; loadSkyCircleStartVoluntaryContextSwitches=32; loadSkyCircleStartInvoluntaryContextSwitches=111454
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesStartCpuTime=6.23; _readIndexFilesStartUserTime=5.698738; _readIndexFilesStartSystemTime=0.5409309999999999; _readIndexFilesStartMaxResidentSetSize=316348; _readIndexFilesStartMinorPageFaults=91518; _readIndexFilesStartMajorPageFaults=0; _readIndexFilesStartBlockInputs=24; _readIndexFilesStartBlockOutputs=200; _readIndexFilesStartVoluntaryContextSwitches=32; _readIndexFilesStartInvoluntaryContextSwitches=111454
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesEndCpuTime=6.23; _readIndexFilesEndUserTime=5.699838; _readIndexFilesEndSystemTime=0.54094; _readIndexFilesEndMaxResidentSetSize=316348; _readIndexFilesEndMinorPageFaults=91518; _readIndexFilesEndMajorPageFaults=0; _readIndexFilesEndBlockInputs=24; _readIndexFilesEndBlockOutputs=200; _readIndexFilesEndVoluntaryContextSwitches=32; _readIndexFilesEndInvoluntaryContextSwitches=111454
aNetBasicAstrometry.loadAN DEBUG: search for objects at Fk5Coord(215.5935343, 53.0686851, 2000.00) with radius 0.132540830418013 deg
aNetBasicAstrometry.loadAN DEBUG: found 604 objects
aNetBasicAstrometry.loadAN DEBUG: loadSkyCircleEndCpuTime=6.24; loadSkyCircleEndUserTime=5.705391; loadSkyCircleEndSystemTime=0.54094; loadSkyCircleEndMaxResidentSetSize=316348; loadSkyCircleEndMinorPageFaults=91747; loadSkyCircleEndMajorPageFaults=0; loadSkyCircleEndBlockInputs=24; loadSkyCircleEndBlockOutputs=200; loadSkyCircleEndVoluntaryContextSwitches=32; loadSkyCircleEndInvoluntaryContextSwitches=111454
aNetBasicAstrometry.loadAN DEBUG: trimmed 342 out-of-bbox objects, leaving 262
aNetBasicAstrometry.loadAN INFO: Loaded 262 reference objects
aNetBasicAstrometry.loadAN DEBUG: loadPixelBoxEndCpuTime=6.25; loadPixelBoxEndUserTime=5.713986; loadPixelBoxEndSystemTime=0.54094; loadPixelBoxEndMaxResidentSetSize=316348; loadPixelBoxEndMinorPageFaults=91747; loadPixelBoxEndMajorPageFaults=0; loadPixelBoxEndBlockInputs=24; loadPixelBoxEndBlockOutputs=200; loadPixelBoxEndVoluntaryContextSwitches=32; loadPixelBoxEndInvoluntaryContextSwitches=111454
aNetBasicAstrometry DEBUG: 262 reference sources; 262 unique IDs
aNetBasicAstrometry DEBUG: 59 reference objects match input sources using input WCS
aNetBasicAstrometry DEBUG: SIP iteration 0: 117 objects match, previous = 59; clipped mean scatter = 0.23544371542969214 arcsec, previous = 0.5938205124850208;  max match dist = 0.6184303206889015 arcsec, previous = 1.1928971565634858
aNetBasicAstrometry DEBUG: SIP iteration 1: 160 objects match, previous = 117; clipped mean scatter = 0.1618816528317468 arcsec, previous = 0.23544371542969214;  max match dist = 0.4083580181035795 arcsec, previous = 0.6184303206889015
aNetBasicAstrometry DEBUG: SIP iteration 2: 181 objects match, previous = 160; clipped mean scatter = 0.11968094153531172 arcsec, previous = 0.1618816528317468;  max match dist = 0.2934172686150461 arcsec, previous = 0.4083580181035795
aNetBasicAstrometry DEBUG: SIP iteration 3: 186 objects match, previous = 181; clipped mean scatter = 0.10541779579347402 arcsec, previous = 0.11968094153531172;  max match dist = 0.2643762806425247 arcsec, previous = 0.2934172686150461
aNetBasicAstrometry DEBUG: SIP iteration 4: 186 objects match, previous = 186; clipped mean scatter = 0.10658028507798349 arcsec, previous = 0.10541779579347402;  max match dist = 0.2657518003721863 arcsec, previous = 0.2643762806425247
aNetBasicAstrometry DEBUG: Fit WCS: use iter 3 because max match distance no better in next iter:  0.264376 < 0.265752 arcsec
aNetBasicAstrometry DEBUG: 186 reference objects match input sources using SIP WCS
.aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesStartCpuTime=6.62; _readIndexFilesStartUserTime=6.086227; _readIndexFilesStartSystemTime=0.5469419999999999; _readIndexFilesStartMaxResidentSetSize=316348; _readIndexFilesStartMinorPageFaults=91751; _readIndexFilesStartMajorPageFaults=0; _readIndexFilesStartBlockInputs=24; _readIndexFilesStartBlockOutputs=200; _readIndexFilesStartVoluntaryContextSwitches=32; _readIndexFilesStartInvoluntaryContextSwitches=111454
aNetBasicAstrometry.loadAN DEBUG: read index files
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesEndCpuTime=6.84; _readIndexFilesEndUserTime=6.269487; _readIndexFilesEndSystemTime=0.581931; _readIndexFilesEndMaxResidentSetSize=376456; _readIndexFilesEndMinorPageFaults=107133; _readIndexFilesEndMajorPageFaults=0; _readIndexFilesEndBlockInputs=24; _readIndexFilesEndBlockOutputs=208; _readIndexFilesEndVoluntaryContextSwitches=32; _readIndexFilesEndInvoluntaryContextSwitches=111455
aNetBasicAstrometry DEBUG: Setting wcs from exposure metadata
aNetBasicAstrometry DEBUG: Setting filterName = 'i' from exposure metadata
aNetBasicAstrometry DEBUG: Setting pixel scale estimate = 0.184 from given WCS estimate
aNetBasicAstrometry DEBUG: Setting RA,Dec center estimate = (215.594, 53.069) from given WCS estimate, using pixel center = (1023.5, 2305.5)
aNetBasicAstrometry DEBUG: Using parity = False
aNetBasicAstrometry INFO: Number of selected sources for astrometry : 327
aNetBasicAstrometry DEBUG: Keeping 327 of 337 sources with finite X,Y positions and PSF flux
aNetBasicAstrometry DEBUG: Feeding sources in range x=[10.1, 2035.6], y=[40.6, 4570.6] (after subtracting x0,y0 = 0.0,0.0) to Astrometry.net
aNetBasicAstrometry DEBUG: Searching for match around RA,Dec = (215.594, 53.0688) with radius 1 deg
aNetBasicAstrometry DEBUG: Searching for matches with pixel scale = 0.183766 +- 10 % -> range [0.16706, 0.202142] arcsec/pix
aNetBasicAstrometry DEBUG: Searching for match with parity = False
aNetBasicAstrometry DEBUG: Index files loaded: Memory: VmPeak: 1968896 kB, VmSize: 1968384 kB, VmRSS: 377356 kB, VmData: 464572 kB, Mmaps: 2832, Mmaps: 1968384 kB
aNetBasicAstrometry DEBUG: Solving finished: Memory: VmPeak: 1968896 kB, VmSize: 1968640 kB, VmRSS: 381532 kB, VmData: 464828 kB, Mmaps: 2832, Mmaps: 1968640 kB
aNetBasicAstrometry DEBUG: Index files unloaded: Memory: VmPeak: 1968896 kB, VmSize: 1944896 kB, VmRSS: 376628 kB, VmData: 465084 kB, Mmaps: 1628, Mmaps: 1944896 kB
aNetBasicAstrometry DEBUG: Solved!
aNetBasicAstrometry DEBUG: WCS: NAXIS = 2
// number of data axes
EQUINOX = 2000.0000000000
// Equinox of coordinates
RADESYS = "FK5"
// Coordinate system for equinox
CRPIX1 = 1140.7707286100
// WCS Coordinate reference pixel
CRPIX2 = 1139.1831378553
// WCS Coordinate reference pixel
CD1_1 = 5.1188746460527e-05
// WCS Coordinate scale matrix
CD1_2 = 1.3691915962525e-07
// WCS Coordinate scale matrix
CD2_1 = 1.3691915962525e-07
// WCS Coordinate scale matrix
CD2_2 = -5.1188746460527e-05
// WCS Coordinate scale matrix
CRVAL1 = 215.60317370228
// WCS Ref value (RA in decimal degrees)
CRVAL2 = 53.128454898498
// WCS Ref value (DEC in decimal degrees)
CUNIT1 = "deg"
CUNIT2 = "deg"
CTYPE1 = "RA---TAN"
// WCS Coordinate type
CTYPE2 = "DEC--TAN"
// WCS Coordinate type

aNetBasicAstrometry DEBUG: qa: meas_astrom*an*n_tried = 11316
meas_astrom*an*n_matched = 1
meas_astrom*an*n_scaleok = 1
meas_astrom*an*n_cxdxcut = 4708
meas_astrom*an*n_meanxcut = 28738
meas_astrom*an*n_radeccut = 0
meas_astrom*an*n_scalecut = 0
meas_astrom*an*n_verified = 1
meas_astrom*an*time_used = 0.0090539999999999
meas_astrom*an*best_logodds = 561.74713134766
meas_astrom*an*best_index*id = -1364614477
meas_astrom*an*best_index*hp = 11
meas_astrom*an*best_index*nside = 2
meas_astrom*an*best_index*name = "/build/stack/miniconda3-4.2.12-7c8e67/EupsBuildDir/Linux64/meas_extensions_astrometryNet-master-g43362ee2f3+10/meas_extensions_astrometryNet-master-g43362ee2f3+10/tests/astrometry_net_data/photocal/mindex-photocal-test.fits"
meas_astrom*an*best_match*starinds = "4651, 3034, 4617, 4612"
meas_astrom*an*best_match*coderr = 0.0005059317
meas_astrom*an*best_match*nmatch = 180
meas_astrom*an*best_match*ndistract = 108
meas_astrom*an*best_match*nconflict = 7
meas_astrom*an*best_match*nfield = 327
meas_astrom*an*best_match*nindex = 242
meas_astrom*an*best_match*nbest = 295
meas_astrom*an*best_match*logodds = 561.7471
meas_astrom*an*best_match*parity = 1
meas_astrom*an*best_match*nobjs = 10

aNetBasicAstrometry INFO: Got astrometric solution from Astrometry.net
aNetBasicAstrometry DEBUG: New WCS says image center pixel (1023.5, 2305.5) -> RA,Dec (215.594, 53.069)
aNetBasicAstrometry DEBUG: Setting filterName = 'i' from exposure metadata
aNetBasicAstrometry.loadAN DEBUG: loadPixelBoxStartCpuTime=6.99; loadPixelBoxStartUserTime=6.406196; loadPixelBoxStartSystemTime=0.5978979999999999; loadPixelBoxStartMaxResidentSetSize=381884; loadPixelBoxStartMinorPageFaults=110700; loadPixelBoxStartMajorPageFaults=0; loadPixelBoxStartBlockInputs=24; loadPixelBoxStartBlockOutputs=216; loadPixelBoxStartVoluntaryContextSwitches=32; loadPixelBoxStartInvoluntaryContextSwitches=111455
aNetBasicAstrometry.loadAN INFO: Loading reference objects using center (1023.5, 2305.5) pix = Fk5Coord(215.5935343, 53.0686851, 2000.00) sky and radius 0.132540830418013 deg
aNetBasicAstrometry.loadAN DEBUG: loadSkyCircleStartCpuTime=6.99; loadSkyCircleStartUserTime=6.40823; loadSkyCircleStartSystemTime=0.597901; loadSkyCircleStartMaxResidentSetSize=381884; loadSkyCircleStartMinorPageFaults=110700; loadSkyCircleStartMajorPageFaults=0; loadSkyCircleStartBlockInputs=24; loadSkyCircleStartBlockOutputs=216; loadSkyCircleStartVoluntaryContextSwitches=32; loadSkyCircleStartInvoluntaryContextSwitches=111455
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesStartCpuTime=6.99; _readIndexFilesStartUserTime=6.409354; _readIndexFilesStartSystemTime=0.597913; _readIndexFilesStartMaxResidentSetSize=381884; _readIndexFilesStartMinorPageFaults=110700; _readIndexFilesStartMajorPageFaults=0; _readIndexFilesStartBlockInputs=24; _readIndexFilesStartBlockOutputs=216; _readIndexFilesStartVoluntaryContextSwitches=32; _readIndexFilesStartInvoluntaryContextSwitches=111455
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesEndCpuTime=6.99; _readIndexFilesEndUserTime=6.409385; _readIndexFilesEndSystemTime=0.598914; _readIndexFilesEndMaxResidentSetSize=381884; _readIndexFilesEndMinorPageFaults=110700; _readIndexFilesEndMajorPageFaults=0; _readIndexFilesEndBlockInputs=24; _readIndexFilesEndBlockOutputs=216; _readIndexFilesEndVoluntaryContextSwitches=32; _readIndexFilesEndInvoluntaryContextSwitches=111455
aNetBasicAstrometry.loadAN DEBUG: search for objects at Fk5Coord(215.5935343, 53.0686851, 2000.00) with radius 0.132540830418013 deg
aNetBasicAstrometry.loadAN DEBUG: found 604 objects
aNetBasicAstrometry.loadAN DEBUG: loadSkyCircleEndCpuTime=7.13; loadSkyCircleEndUserTime=6.538346; loadSkyCircleEndSystemTime=0.6029249999999999; loadSkyCircleEndMaxResidentSetSize=381884; loadSkyCircleEndMinorPageFaults=113998; loadSkyCircleEndMajorPageFaults=0; loadSkyCircleEndBlockInputs=24; loadSkyCircleEndBlockOutputs=216; loadSkyCircleEndVoluntaryContextSwitches=32; loadSkyCircleEndInvoluntaryContextSwitches=111455
aNetBasicAstrometry.loadAN DEBUG: trimmed 342 out-of-bbox objects, leaving 262
aNetBasicAstrometry.loadAN INFO: Loaded 262 reference objects
aNetBasicAstrometry.loadAN DEBUG: loadPixelBoxEndCpuTime=7.14; loadPixelBoxEndUserTime=6.546962; loadPixelBoxEndSystemTime=0.6029249999999999; loadPixelBoxEndMaxResidentSetSize=381884; loadPixelBoxEndMinorPageFaults=113998; loadPixelBoxEndMajorPageFaults=0; loadPixelBoxEndBlockInputs=24; loadPixelBoxEndBlockOutputs=216; loadPixelBoxEndVoluntaryContextSwitches=32; loadPixelBoxEndInvoluntaryContextSwitches=111455
aNetBasicAstrometry DEBUG: 262 reference sources; 262 unique IDs
aNetBasicAstrometry DEBUG: 59 reference objects match input sources using input WCS
aNetBasicAstrometry DEBUG: SIP iteration 0: 117 objects match, previous = 59; clipped mean scatter = 0.23544371542969214 arcsec, previous = 0.5938205124850208;  max match dist = 0.6184303206889015 arcsec, previous = 1.1928971565634858
aNetBasicAstrometry DEBUG: SIP iteration 1: 160 objects match, previous = 117; clipped mean scatter = 0.1618816528317468 arcsec, previous = 0.23544371542969214;  max match dist = 0.4083580181035795 arcsec, previous = 0.6184303206889015
aNetBasicAstrometry DEBUG: SIP iteration 2: 181 objects match, previous = 160; clipped mean scatter = 0.11968094153531172 arcsec, previous = 0.1618816528317468;  max match dist = 0.2934172686150461 arcsec, previous = 0.4083580181035795
aNetBasicAstrometry DEBUG: SIP iteration 3: 186 objects match, previous = 181; clipped mean scatter = 0.10541779579347402 arcsec, previous = 0.11968094153531172;  max match dist = 0.2643762806425247 arcsec, previous = 0.2934172686150461
aNetBasicAstrometry DEBUG: SIP iteration 4: 186 objects match, previous = 186; clipped mean scatter = 0.10658028507798349 arcsec, previous = 0.10541779579347402;  max match dist = 0.2657518003721863 arcsec, previous = 0.2643762806425247
aNetBasicAstrometry DEBUG: Fit WCS: use iter 3 because max match distance no better in next iter:  0.264376 < 0.265752 arcsec
aNetBasicAstrometry DEBUG: 186 reference objects match input sources using SIP WCS
...
----------------------------------------------------------------------
Ran 9 tests in 3.719s

OK
Mem0: Memory usage:
max rss: [0.316348, 'MB'] MB
VmPeak 1884880 kB
VmSize 1884340 kB
VmRSS 316240 kB
VmData 404528 kB
VmStk 164 kB
Number of mmaps: 1627
None
FD0: 5
100 multi-index files

Mem1:
Memory usage:
max rss: [0.376456, 'MB'] MB
VmPeak 1967460 kB
VmSize 1967460 kB
VmRSS 376456 kB
VmData 463648 kB
VmStk 164 kB
Number of mmaps: 2832
None
FD1: 5

Mem2:
Memory usage:
max rss: [0.381884, 'MB'] MB
VmPeak 1968896 kB
VmSize 1944896 kB
VmRSS 376708 kB
VmData 465084 kB
VmStk 164 kB
Number of mmaps: 1628
None
FD2: 5

Mem3:
Memory usage:
max rss: [0.381884, 'MB'] MB
VmPeak 1968896 kB
VmSize 1944896 kB
VmRSS 376708 kB
VmData 465084 kB
VmStk 164 kB
Number of mmaps: 1628
None
FD3: 5
